cls
@echo off
echo.
echo This file contains any known additions to the UltraSound manuals.
echo The information here supersedes anything found in the manuals.
echo.
echo ====================================================================
echo  30-Oct-92
echo ====================================================================
echo.
echo New utilities:
echo ==============
echo.
echo JOYCOMP.EXE
echo.
echo    This utility is used in conjunction with GravUtil.exe to set
echo    your joystick up. It loads itself and then runs Advanced
echo    Gravis' GravUtil.exe program to determine the proper joystick
echo    values. When in GravUtil, use the up arrow to increase the
echo    compensation value and the down arrow to decrease this value.
echo    When GravUtil is complete, joycomp will display the current
echo    compensation value and instruct you to place an 'ultrajoy [#]'
echo    line in your autoexec.bat file AFTER your set ULTRASND=... line.
echo.
pause
cls
echo.
echo ULTRAJOY.EXE
echo.
echo    This utility is used to program the joystick speed compensation
echo    value into your UltraSound's game port.
echo.
echo    To set up the joystick compensation enter 'ultrajoy [0-31]'. 
echo    For example, entering 'ultrajoy 20' will set the speed
echo    compensation to 20. Faster machines require smaller numbers. 
echo    It may also be necessary to use a different value to correct
echo    drifting & other control related problems in specific
echo    games. Try different values until you find that works best.
echo.
echo.
echo    See the Game Port Addendum that came in your UltraSound box for more 
echo    information.
echo.
pause
cls
echo.
echo ULTRINIT.EXE
echo.
echo    This utility is used to set up the software programmable
echo    DMA channels and interrupts. It is HIGHLY recommended that
echo    you put the following line in your autoexec.bat file AFTER
echo    the set ULTRASND=.... line:
echo.
echo             ULTRINIT
echo.
echo    For example:
echo    set ULTRASND=220,7,7,11,5
echo    ultrinit
echo.
echo    It may be necessary to specify a full path to ultrinit.exe.
echo.
echo    This will make sure that the card is set up so the MIDI
echo    can be used with any existing software by making sure the 
echo    software configurable IRQs are programmed. Without this, any
echo    applications that need MIDI IRQs would not work. The IRQ
echo    vector that the MIDI uses is the last parameter in the 
echo    ULTRASND environment variable.
echo.
pause
cls
echo.
echo PATCHMAN.
echo.
echo    Patch Manager makes loading and auditioning WaveTable samples, 
echo    or 'Patches', easy and fun. You can use 'PatchMan' to load
echo    UltraSound's memory with the patches you select. These patches
echo    will then be available for use with your favourite Windows
echo    music composition or Sequencer software. Some new software already
echo    includes the Windows MCI commands to load patches from a MIDI file
echo    much the same way as PatchMan does. Soon, all new Windows MIDI
echo    music creation / editing software will have this feature built-in.
echo    Patch Manager will still be usefull as a quick and easy way of
echo    comparing, auditioning, and managing your Patches.
echo.
echo.
echo    Program Requirements...
echo.
echo    - Correctly installed Gravis UltraSound card, Windows 3.1
echo    - The current Windows driver in the V1.22 disk set.  
pause
echo.
echo    Installation Notes....
echo.
echo    * Note - PatchMgr may not work correctly with earlier versions
echo    of the Windows driver. Use only with the driver supplied on
echo    disk set V1.22.
echo.
echo    - In Windows, Click on the group you would like PatchMan to
echo    be installed into, then click on 'New' in the Program Manager's
echo    'Files' menu. Click on 'Program item'. Fill in the resulting
echo    dialog box's 'description' and 'Command Line' fields (use the
echo    'browse' button if you like) and click OK.
echo.
echo    - Run PatchMgr and select 'Quick Tour' in the Help Index menu
echo    for an overview of operation. Explore the various menu options.
echo.
echo    - The 88 key PatchMan synth keyboard has an octave more keys than
echo    most synths for future patches that will use the extra range. Note
echo    that many patches can be played well beyond their intended range.
pause
echo.
echo    - PatchMgr's 'Memory remaining' guage will operate correctly
echo    no matter what memory configuration your GUS has.
echo.
echo    - An upgrade to 512k or the full 1 meg of RAM on the card is
echo    recomended if you intend to use your UltraSound card for MIDI
echo    Music compositions using more complex orchestration.
echo.
echo.
pause
cls
echo.
echo Sound Blaster Operating System Notes.
echo.
echo    ================================================================
echo    UltraSound and SBOS do a very good job of emulating the
echo    Sound Blaster audio card. However, since it is a software
echo    solution to a hardware problem, the emulation is not perfect.
echo    The UltraSound WILL NOT sound EXACTLY like an Ad Lib or a
echo    Sound Blaster. Very rarely will the results be
echo    unacceptable. Most commercially available applications,
echo    including those directly from Creative Labs, will run OK.
echo    Most 'shareware' type applications will also be OK, but it
echo    is much more difficult to test them, so there might be a
echo    higher percentage that do not operate properly. If possible,
echo    we will attempt to fix any of these problems in future releases
echo    of the SBOS software.  See the readme.txt file in the SBOS
echo    directory for more information.
echo    ================================================================
echo.
pause
cls
echo.
echo    Many applications do not use Direct Memory Access (DMA) to do their 
echo    digital audio. They may either use polled I/O or the PC's timer
echo    to do their output timing. Both are VERY taxing on
echo    the PC and can severely degrade the performance of SBOS. A
echo    16 MHz 386 or better PC may be necessary to get decent performance.
echo    Applications that were ported from the AMIGA and use the 'modplay'
echo    method of playing digital audio MIGHT have performance problems.
echo.
echo    Removing any expanded/extended memory drivers (if possible) may
echo    also improve performance.
echo.
echo    There are several applications that require SBOS (Sound Board
echo    Operating System) to run in a non-default mode to correctly
echo    emulate other sound boards. This is because these particular
echo    applications implemented the audio in slightly different ways.
echo    The vast majority of applications run in the default mode 
echo    perfectly. Here is a list of the known applications that
echo    require a different option to run correctly.
echo.
pause
cls
echo.
echo      SBOS options for specific games.
echo.
echo      Option #1 (-o1)
echo         - Prince of Persia
echo         - Where in the World is Carmen SanDiego?
echo         - Leather Godesses of Phobos II
echo         - Links386
echo.
echo      Option #2 (-o2)
echo         - Pga Golf
echo.
echo         The following games need -o2 ONLY for versions of SBOS
echo         prior to version 1.20
echo               - Any Ibis Software applications
echo               - Castle Von Wolfenstein (Wolfenstein 3-D)
echo               - Dune
echo               - Kings Quest 5 (CD-ROM & EMS versions)
echo               - Earl Weaver Baseball II
echo.
echo      Option #3 (-o3)
echo         - F-15 Strike Eagle II
pause
cls
echo.       
echo      Option X3 (-x3)
echo         - Siege
echo         - Blaster Master (bmaster)
echo.
echo      Option X2 (-x2)
echo         - Links 386 (and turn off background sounds)
echo               Links386 also requires option -o1
echo.
echo      Other:
echo      CD ROM Applications
echo         - Strange Deadfellows requires the GF1 and MIDI interupts 
echo           to be the same.  To do this rerun the SETUP program.  
echo         - Lemmings - use Lemmings' -x mode when choosing the PC type.
echo.
echo      Unreal Demo (vectdemo) 
echo         Requires that IRQ #2 is used. Make sure that the last parameter
echo         in ULTRASND is 2. Make sure that BLASTER uses IRQ 2 also.
echo         This must be done BEFORE sbos is loaded. If 
echo         SBOS is already loaded with an incorrect IRQ, unloadit & re-load
echo         it with IRQ2.  After loading the demo, you MUST go thru its
echo         install. There is an uninitialized pointer that blows SBOS out
echo         of the water if you do not go thru the install. All you need to do
echo         is select a type of computer and the go run the demo.
pause
cls
echo.
echo      AST computers.
echo        SOME, not all, AST computers have a problem with our SBOS
echo        emulation. If SBOS does not run on yours, try running the 
echo        game(s) with the -o2 option.
echo.
echo      GX2 (galactix)
echo        Use option -o3. This will only work for the FM stuff. No
echo         digital audio will work.
echo.
echo      Unsupported applications:
echo        (Both of these options corrupt PC memory in such a way that
echo         SBOS is unable to run. Maybe these problems will be fixed
echo         future releases of these applications and the SBOS will work.)
echo         - Hare Raising Havoc (Roger Rabbit)
echo         - JetFighter II
pause
cls
echo.
echo      Some computers have their DRAM parity disabled. SBOS will not
echo      work properly with this. Re-enable the parity check in you 
echo      BIOS setup.
echo.
echo      New parameter:
echo         -p Turns OFF the "SBOS installed" audio message when loadsbos is
echo            run. 
echo.
echo        The 'SBOS installed' message can be customized by specifying a
echo        file to play followed by the playback rate, in the sbos.cfg file. 
echo.
echo      SBOS supports Sound Blaster's compressed data (ADPCM) formats.
echo.
pause
cls
echo.
echo    No drivers from Creative Labs (such as ct-voice.drv) or Ad Lib
echo    (such as sound.exe) are supplied with the UltraSound card. If 
echo    an application requires any and you do not already have them,
echo    the application will NOT run. You must obtain them from some
echo    other source.
echo.
echo    Even though it is not usually necessary, it may be a good idea
echo    to re-load SBOS before you run each Sound Blaster game. It would
echo    be very easy to do this with a batch file.
echo.
echo.
echo  UBAT.
echo      A new utility has been provided that can be used in conjunction
echo      with SBOS. It is a utility that will help you build a batch file
echo      to use to run your application that will assure that SBOS is 
echo      running with the correct options. For example, if your application
echo      is called game.exe, it will help create a batch file called
echo      ugame.bat that will load SBOS with the options needed each time
echo      the game is run.
echo.
pause
cls
echo.
echo AUDIO.
echo.
echo    There are 2 parameters to audio.exe that may need to be adjusted
echo    to get acceptable playback or recording. The playback and recording
echo    buffer sizes can be set using the -kp# and -kr# options respectively.
echo    The parameter specifies the number of K of memory to reserve for
echo    the appropriate buffer. For example:
echo.
echo    audio -kp40 -kr50 
echo.
echo    will reserve 40K for playback and 50k for recording. The defaults 
echo    are 24K for playback and 10K for recording. The buffers are kept
echo    relatively small so they don't take up to much RAM. The playback
echo    size is probably OK for most situations. The record buffer is
echo    probably too small for most situations. You will probably need
echo    to increase this size if you want to do any substantial recording.
echo    A buffer size of at least 50K is usually necessary to do a stereo
echo    recording at 44.1 kHz. 
echo.
pause
cls
echo.
echo    Note: While it is possible to do high speed recordings using
echo          audio.exe and playdigi.exe, it is not recommended. Since
echo          these run as TSRs, they do not get the attention from DOS
echo          that may be required to prevent loss of data. Playfile.exe
echo          is a dedicated program and should provide better results.
echo.
echo    Note: Playfile.exe can record stereo data at ONLY 22050 hertz and
echo          44100 hertz. playdigi.exe can only record stereo at 44100.
echo.
pause
cls
echo SETUP.
echo.
echo    The setup utility attempts to determine what free DMA channels
echo    and IRQs the UltraSound can use. It is possible that it may
echo    decide that one of them is OK but in fact, something else
echo    already is using that resource. It may be necessary to choose
echo    different DMA channels and/or IRQs to make your UltraSound
echo    work properly. It would be beneficial to know what hardware is
echo    in your PC, and its IRQs, when you install the UltraSound.
echo.
echo    The setup program will add three (3) environment variables to your
echo    autoexec.bat file. ULTRASND, ULTRADIR and BLASTER. BLASTER is needed
echo    by some applications to run some Sound Blaster applications. Make sure 
echo    you have enough environment space. See your MS-DOS manual if you need 
echo    more.
echo.
pause
cls
echo.
echo    ULTRADIR is appended after the ULTRASND variable. ULTRADIR is used
echo    to find the place that you installed your UltraSound files. The MIDI
echo    player (see midiplay.doc on diskette) needs it to find its files.
echo    BLASTER is appended after ULTRADIR. Some applications require this
echo    string to be in the environment to run there Sound Blaster code.
echo    Setup now prints the factory default settings for each entry
echo    below the help line.
echo.
echo    The factory defaults have been set to:
echo        Base port address ---- 220
echo        DMA channels --------- 1
echo        UltraSound IRQ ------- 11
echo        MIDI IRQ ------------- 5 (this is an update from the manual)
echo.
echo     The default DMA channel has been changed to an 8-bit channel 
echo     because many (not all) motherboards do not have 16-bit DMA
echo     channels that operate properly. They may work fine on yours.
echo     We suggest that you try to run it on a 16-bit channel because
echo     performance is better. We can transfer data twice as fast.
echo     The 8-bit channels are 0-3. The 16-bit channels are 4-7.
echo     If 'flakey' things happen with the 16-bit channel switch back 
echo     to a free 8-bit channel.
pause
cls
echo ULTRAFLI.
echo.
echo     Documentation clarification on option #8 (two's complement data)
echo     This parameter tells Ultrafli what type of audio data
echo     is being used. A '2' in this position says the data is in
echo     twos complement form. Anything else specifies raw binary.
echo     The default is set to raw binary.
echo.
pause
cls
echo.
echo PLAYMIDI.
echo.
echo     See playmidi.doc
echo.
echo     The music files and instrument files are copyright of:
echo     EYE & I Productions and Advanced Gravis Computer Technology Ltd.
echo.
echo.
pause
cls
echo TECH NOTES
echo ==========
echo.
echo ULTRASOUND MEMORY MAP
echo.
echo    UltraSound's port locations are spread out through the PC's 
echo    I/O map. Here is a brief map of where they can be found so
echo    you can find a base port location that will not interfere with
echo    any other hardware you may have installed.
echo.
echo    200,201 Joystick   (can be disabled on card)
echo.
echo    The rest of the ports are based off the base port that is set by the
echo    jumpers on the UltraSound card. The 'X' represents 0-F hexadecimal.
echo.
echo    2X8 - 2XC    - Ad Lib/Sound Blaster
echo    388,389      - Ad Lib
echo    3X0 - 3X1    - MIDI interface
echo    3X2 - 3X7    - GF1
echo    2X0, 2XD, 2XE  - GF1
echo    Look for a table like this one in your other peripheral's manual.
echo    If the figures are the same, you have a conflict you must resolve.
echo.
pause
cls
echo.
echo WINDOWS.
echo.
echo ATTENTION:
echo    The Ultrasound driver has been designed to work with Windows 3.1 
echo    in 386 enhanced mode ONLY!
echo.
echo    Included in the ULTRASND directory (windows subdirectory) is
echo    a new MIDI mapper.  You will need to replace the present MIDIMAP.CFG 
echo    in the WINDOWS\SYSTEM directory.  It is a good idea to rename 
echo    your old MIDIMAP.CFG so it can be recovered.
echo. 
echo    If you decide to modifiy your present MIDI Mapper.  Each channel
echo    should be set to active and assigned to (UltraSound MIDI Synth).
echo.
echo    The Mixer allows you to select an input source(s), enable 
echo    the speaker output, and change the playback volume.  
echo    The default state of the mixer is to have both line and 
echo    mic inputs, as well as speaker output, enabled.
echo.
pause
cls
echo.
echo    Troubleshooting Information:
echo.
echo    If you select the wrong port during configuration and restart 
echo    Windows, a message, warning you to reconfigure the driver 
echo    appears.  Simply choose Setup from the Drivers Applet in 
echo    the Control Panel, enter the correct base port, and restart 
echo    Windows.
echo.
echo    If the Ultrasnd.drv file is deleted from the \windows\system 
echo    directory, any application using the driver will issue its 
echo    own error message directing you to install a driver.  Go 
echo    back to the Drivers Applet, and choose Add to reinstall the 
echo    driver, or exit Windows and copy the file from the floppy
echo    to \windows\system manually.
echo.
pause
cls
echo.
echo    If the Grvsultr.386 file is deleted from \windows\system, 
echo    a message will appear when you start Windows indicating the 
echo    file is missing. Then, a message box appears stating that 
echo    the Ultrasound card cannot be enabled. The easy way to 
echo    remedy this situation is to exit Windows and copy the 
echo    Grvsultr.386 file from the floppy back into \windows\system.
echo    Restart Windows and the driver will become active again.
echo.
echo    Using the Control Panel at this point requires a few extra steps:
echo    Go to the Drivers Applet in the Control Panel, and Remove 
echo    the Ultrasound driver.  A message appears, telling you that 
echo    Windows must be restarted to remove the driver.  
echo    When you restart Windows, the message regarding the missing 
echo    Grvsultr.386 file will still appear.  
echo    Ignore this message, go back to the Drivers Applet, and 
echo    reinstall the Ultrasnd driver, selecting "New" when a message 
echo    indicates that the driver is already on the system.  
echo    A message during the installation, indicating the driver can't 
echo    be enabled, will appear. Continue with the installation, restart 
echo    Windows, and the driver will become active again.
echo.
echo       THE END


